package alx;

import jakarta.enterprise.context.RequestScoped;
import jakarta.ws.rs.GET;
import jakarta.ws.rs.Path;
import jakarta.ws.rs.Produces;
import jakarta.ws.rs.core.MediaType;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.time.LocalTime;

@Path("/dt0")
@Produces(MediaType.TEXT_PLAIN)
// aby obiekt był tworzony "per request" - to było domyślne zachowanie obiektów JAX-RS na serwerach JAva EE, np. WildFly
@RequestScoped
public class CzasField {
    private LocalDateTime dt = LocalDateTime.now();

    @GET
    public LocalDateTime dateTime() {
        return dt;
    }

    @Path("/date")
    @GET
    public LocalDate date() {
        return dt.toLocalDate();
    }

    @Path("/time")
    @GET
    public LocalTime time() {
        return dt.toLocalTime();
    }
}
